﻿using EJGrid.Models;
using Syncfusion.JavaScript;
using Syncfusion.JavaScript.Models;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Data;
using System.Data.Common;
using System.Data.SqlClient;
using System.IO;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Xml;

namespace EJGrid.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            ViewBag.datasource = null;
            return View();
        }

        public JsonResult DataSource(DataManager dm, int empID)
        {
            var collection = OrderRepository.GetAllRecords().Where(ds => ds.EmployeeID == empID).ToList();
            var data = collection.Skip(dm.Skip).Take(dm.Take).ToList();
            var count = collection.Count;
            var result = new { result = data, count = count };
            return Json(result, JsonRequestBehavior.AllowGet);
        }
        public ActionResult About()
        {
            ViewBag.Message = "Your application description page.";

            return View();
        }

        public ActionResult Contact()
        {
            ViewBag.Message = "Your contact page.";

            return View();
        }
    }
}